Subject: [Ietf-languages] Macrolanguage (was: Forms for Montenegrin)

From: "Doug Ewell" <[email-masked]>
Date: Fri, 22 Dec 2017 13:27:39 -0700

I was asked, offline, why the proposed form to add Montenegrin doesn't
include the field "Macrolanguage: sh" when the record for Serbian (and
Bosnian and Croatian) does.

Montenegrin is the same as Serbian, right? Even more so than Bosnian or
Croatian? So if Serbian has Serbo-Croatian as its macrolanguage, why
wouldn't we add that to Montenegrin as well?

"Macrolanguage" is completely an ISO 639-3 concept. The RA invented the
classification, and only they can decide which languages are
macrolanguages and which individual languages are encompassed by them.
We don't make those decisions. The Language Subtag Registry includes the
ISO 639-3 macrolanguage structure to help users choose language subtags,
but we do not determine the macrolanguage or encompassed-language
classifications.

Not only is this the law (RFC 5646, Section 3.1.10), it's also a good
idea. If we were able to apply our judgment to this case, we would open
the door to endless debates about other macro/encompassed language
decisions, and we would essentially be wrestling this responsibility
away from 639-3/RA. I for one wouldn't want to get embroiled in this,
especially considering how many people don't understand what a
macrolanguage really is.

As a side note, Montenegrin hasn't been added yet to 639-3, with its
annual cycle, but only to 639-2. It's likely that when 639-3 adds it,
they will make it an encompassed language of Serbo-Croatian, but that is
their decision and we can't jump the gun on it. 
 
--
Doug Ewell | Thornton, CO, US | ewellic.org

---

From: Michael Everson <[email-masked]>
Date: Fri, 22 Dec 2017 20:51:31 +0000

On 22 Dec 2017, at 20:27, Doug Ewell <[email-masked]> wrote:

> I was asked,

By me.

> offline, why the proposed form to add Montenegrin doesn’t include the field "Macrolanguage: sh" when the record for Serbian (and Bosnian and Croatian) does.
> 
> Montenegrin is the same as Serbian, right? Even more so than Bosnian or Croatian? So if Serbian has Serbo-Croatian as its macrolanguage, why wouldn't we add that to Montenegrin as well?
> 
> "Macrolanguage" is completely an ISO 639-3 concept.

The term is odd, but it’s a familiar concept in linguistic classification.

> The RA invented the classification, and only they can decide which languages are macrolanguages and which individual languages are encompassed by them. We don't make those decisions. The Language Subtag Registry includes the ISO 639-3 macrolanguage structure to help users choose language subtags, but we do not determine the macrolanguage or encompassed-language classifications.

You imply that Montenegrin’s would either have no macrolanguage (but it is not a linguistic isolate) or that its macrolanguage would be anything other than Serbo-Croatian. But neither of those would be correct. 

> Not only is this the law (RFC 5646, Section 3.1.10), it's also a good idea. If we were able to apply our judgment to this case, we would open the door to endless debates about other macro/encompassed language
> decisions, and we would essentially be wrestling this responsibility away from 639-3/RA. I for one wouldn't want to get embroiled in this, especially considering how many people don't understand what a
> macrolanguage really is.

In this case, I disagree. There is no implication that we would be obliged to act in such a way for any other language. 

> As a side note, Montenegrin hasn't been added yet to 639-3, with its annual cycle, but only to 639-2. It's likely that when 639-3 adds it, they will make it an encompassed language of Serbo-Croatian, but that is their decision and we can't jump the gun on it. 

Last year they published in February. In this case I think I would like to disapprove your current change request until the the 639-3 changes are published. There’s no point in making IANA make any changes twice for this subtag.

Michael Everson

---

From: "Doug Ewell" <[email-masked]>
Date: Fri, 22 Dec 2017 17:27:16 -0700

> The term is odd, but it’s a familiar concept in linguistic

The odd term has a very specific meaning in 639-3. Some people mistake 
it for "a collection of languages" or "a group of genetically related 
languages," which miss the point. But anyway.

> You imply that Montenegrin’s would either have no macrolanguage (but
> it is not a linguistic isolate) or that its macrolanguage would be
> anything other than Serbo-Croatian. But neither of those would be
> correct.

The reasonable thing for 639-3 to do, now that this code element exists 
in 639-2, would be to assign it and call it an encompassed language 
under [hbs]. But there are never any guarantees. (The truly reasonable 
thing to do would have been to not assign [cnr] at all, since 
Montenegrin is Serbian.)

>> idea. If we were able to apply our judgment to this case, we would
>> open the door to endless debates about other macro/encompassed
>> language decisions, and we would essentially be wrestling this
>> responsibility away from 639-3/RA. I for one wouldn't want to get
>> embroiled in this, especially considering how many people don't
>> understand what a macrolanguage really is.
>
> In this case, I disagree. There is no implication that we would be
> obliged to act in such a way for any other language.

We'll agree to disagree. If BCP 47 did allow us to make this decision 
(which it doesn't), I don't see how we could defer other macrolanguage 
requests (which we have already had) to 639-3. We would have to approve 
or disapprove them.

> Last year they published in February. In this case I think I would
> like to disapprove your current change request until the the 639-3
> changes are published. There’s no point in making IANA make any
> changes twice for this subtag.

Section 3.4 (15)(a) talks about preparing this proposal "as soon as 
practical" after the ISO 639 code is assigned, and Section 3.5 talks 
about the proposal being acted upon "[s]oon after the two-week review 
period has passed." We may have some wiggle room here in the interest of 
reducing IANA's workload by one record. Hopefully ISO 639-3/RA will 
actually do what we assume they will do, in the time frame we assume, 
and hopefully there will not be protests from Montenegrin nationalists 
in the meantime.

---

From: John Cowan <[email-masked]>
Date: Fri, 22 Dec 2017 23:20:00 -0500

> The term is odd, but it’s a familiar concept in linguistic classification.

It isn't, which is why Peter Constable (who is certainly familiar with
linguistic classification) invented it.

> You imply that Montenegrin’s would either have no macrolanguage (but it is
> not a linguistic isolate) or that its macrolanguage would be anything other
> than Serbo-Croatian. But neither of those would be correct.
>

English does not have a macrolanguage, but it is not a language isolate.
Rather, it does not belong to a group of languages (as defined by
linguistic standards) which are for some purposes treated as a single
language with a single name, as is the case for Chinese, Arabic, Norwegian,
Quechua, and Serbo-Croatian.  If on the other hand it were usual to call
both English and various English-based pidgins and creoles simply
"English", and only differentiate between them in specialized contexts,
then English would indeed be part of a macrolanguage called "English
(macrolanguage)".

-- 
John Cowan          http://vrici.lojban.org/~cowan        [email-masked]
An observable characteristic is not necessarily a functional requirement.
        --John Hudson

---

From: Peter Constable <[email-masked]>
Date: Sun, 24 Dec 2017 17:48:51 +0000

I think I borrowed the term “macrolanguage” from David Dalby, but the usage in ISO 639 is defined specifically for ISO 639. The macrolanguage relationships in ISO 639 may often appear to be classifications, but that is not what is meant. The term is defined in ISO 639-3 as follows:

“3.8

“macrolanguage code element

“a language code element with a scope representing multiple, closely-related individual languages that are deemed in some usage contexts to be a single language

“NOTE        Every macrolanguage code element has a normative correspondence to the individual language code elements representing the individual languages encompassed by the macrolanguage. This normative relationship between macrolanguage code elements and individual language code elements is documented in the code tables included in this part of ISO 639. The notion of macrolanguage is explained further in ‎4.2.2.”
The macrolanguage relationships are defined in 639-3, but are not defined in the current version of 639-2. So, as Doug notes, the macrolanguage info can’t be added in the registry on the basis of ISO 639-2. And it can’t be added on the basis of language classification since that’s not what this field is in the LSTR:

“3.1.10.  Macrolanguage Field
“The field 'Macrolanguage' contains a primary language subtag (whose record appears in the registry).  This field indicates a language that encompasses this subtag's language according to assignments made by ISO 639-3.”

It would be a bug in 639-3 data if it fails to add cnr to the items encompassed by hbs.

It would also help a lot if the RA for ISO 639-3 expedited the addition of cnr to its tables since it is an anomalous situation to have, at any time, individual-language entries in 639-2 that are not in 639-3.

Peter

From: Ietf-languages [mailto:[email-masked]] On Behalf Of John Cowan
Sent: Friday, December 22, 2017 8:20 PM
To: Michael Everson <[email-masked]>
Cc: ietflang IETF Languages Discussion <[email-masked]>
Subject: Re: [Ietf-languages] Macrolanguage (was: Forms for Montenegrin)

On Fri, Dec 22, 2017 at 3:51 PM, Michael Everson <[email-masked]<mailto:[email-masked]>> wrote:

It isn't, which is why Peter Constable (who is certainly familiar with linguistic classification) invented it.

English does not have a macrolanguage, but it is not a language isolate.  Rather, it does not belong to a group of languages (as defined by linguistic standards) which are for some purposes treated as a single language with a single name, as is the case for Chinese, Arabic, Norwegian, Quechua, and Serbo-Croatian.  If on the other hand it were usual to call both English and various English-based pidgins and creoles simply "English", and only differentiate between them in specialized contexts, then English would indeed be part of a macrolanguage called "English (macrolanguage)".

--
John Cowan          http://vrici.lojban.org/~cowan<https://na01.safelinks.protection.outlook.com/?url=http:%2F%2Fvrici.lojban.org%2F~cowan&data=02%7C01%7Cpetercon%40microsoft.com%7Cb1df6591dec54af32b5208d549bc8544%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C636495996404422629&sdata=nUSbmHeCOizsXp%2BqoUw%2B0K74r9mWba3g5f1RrctPAkk%3D&reserved=0>        [email-masked]<mailto:[email-masked]>
An observable characteristic is not necessarily a functional requirement.
        --John Hudson

---

From: "Phillips, Addison" <[email-masked]>
Date: Sun, 24 Dec 2017 18:11:30 +0000

> It would also help a lot if the RA for ISO 639-3 expedited the addition of cnr to its tables since it is an anomalous situation to have, at any time, individual-language entries in 639-2 that are n…

Indeed, BCP47 is designed around, and its proper operation, somewhat depends on this being an anomaly.

On December 24, 2017, at 9:59 AM, Peter Constable <[email-masked]> wrote:

I think I borrowed the term "macrolanguage" from David Dalby, but the usage in ISO 639 is defined specifically for ISO 639. The macrolanguage relationships in ISO 639 may often appear to be classifications, but that is not what is meant. The term is defined in ISO 639-3 as follows:

"3.8

"macrolanguage code element

"a language code element with a scope representing multiple, closely-related individual languages that are deemed in some usage contexts to be a single language

"NOTE        Every macrolanguage code element has a normative correspondence to the individual language code elements representing the individual languages encompassed by the macrolanguage. This normative relationship between macrolanguage code elements and individual language code elements is documented in the code tables included in this part of ISO 639. The notion of macrolanguage is explained further in ?4.2.2."
The macrolanguage relationships are defined in 639-3, but are not defined in the current version of 639-2. So, as Doug notes, the macrolanguage info can't be added in the registry on the basis of ISO 639-2. And it can't be added on the basis of language classification since that's not what this field is in the LSTR:

"3.1.10.  Macrolanguage Field
"The field 'Macrolanguage' contains a primary language subtag (whose record appears in the registry).  This field indicates a language that encompasses this subtag's language according to assignments made by ISO 639-3."

Peter

> "Macrolanguage" is completely an ISO 639-3 concept.

The term is odd, but it's a familiar concept in linguistic classification.

You imply that Montenegrin's would either have no macrolanguage (but it is not a linguistic isolate) or that its macrolanguage would be anything other than Serbo-Croatian. But neither of those would be correct.

---

From: John Cowan <[email-masked]>
Date: Sun, 24 Dec 2017 17:48:33 -0500

On Sun, Dec 24, 2017 at 12:48 PM, Peter Constable <[email-masked]>
wrote:

I think I borrowed the term “macrolanguage” from David Dalby,
I didn't know that; I figured you had coined the term independently, since
the meanings are completely different.

(In Dalby's usage, _macrolanguage_ is a non-structural term meaning
'language with ten million speakers'.)

-- 
John Cowan          http://vrici.lojban.org/~cowan        [email-masked]
"But I am the real Strider, fortunately," he said, looking down at them
with his face softened by a sudden smile.  "I am Aragorn son of Arathorn,
and if by life or death I can save you, I will."

---

From: Peter Constable <[email-masked]>
Date: Thu, 28 Dec 2017 05:28:10 +0000

Yes, a totally different meaning. (So, not the same term. I borrowed the word form.)

Peter

Sent from my Windows 10 phone

________________________________
From: John Cowan <[email-masked]>
Sent: Sunday, December 24, 2017 2:48:33 PM
To: Peter Constable
Cc: Michael Everson; ietflang IETF Languages Discussion
Subject: Re: [Ietf-languages] Macrolanguage (was: Forms for Montenegrin)

On Sun, Dec 24, 2017 at 12:48 PM, Peter Constable <[email-masked]<mailto:[email-masked]>> wrote:

I didn't know that; I figured you had coined the term independently, since the meanings are completely different.

(In Dalby's usage, _macrolanguage_ is a non-structural term meaning 'language with ten million speakers'.)

--
John Cowan          http://vrici.lojban.org/~cowan<https://na01.safelinks.protection.outlook.com/?url=http:%2F%2Fvrici.lojban.org%2F~cowan&data=02%7C01%7Cpetercon%40microsoft.com%7Cf9ce80cab1d74d0a88b908d54b20835c%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0%7C636497525365280083&sdata=CQc7g89ZbXPnVb%2FTjsmcGhi8ZFs6uq%2BfzSxgnFqZ3r0%3D&reserved=0>        [email-masked]<mailto:[email-masked]>
"But I am the real Strider, fortunately," he said, looking down at them
with his face softened by a sudden smile.  "I am Aragorn son of Arathorn,
and if by life or death I can save you, I will."